侧边栏壁纸
博主头像
Linux学习记录博主等级

我们因为好奇而所获得的一切,最终会因为骄傲而全然玷污

  • 累计撰写 45 篇文章
  • 累计创建 13 个标签
  • 累计收到 9 条评论

目 录CONTENT

文章目录

如何解决-饥荒联机版:服务器正在运行旧版本模组

Frank
2021-03-29 / 0 评论 / 0 点赞 / 7 阅读 / 797 字

前言

自己搭建了饥荒联机版专用服务器《在ubuntu20.04上搭建饥荒联机版专用服务器》在玩,最近2次出现无法进入的情况,提示“服务器正在运行旧版本模组,服务器所有者必须更新模组,才能让新玩家加入”。

解决

经过各种摸索,找到一种比较干脆明了的解决方案:(基于ubuntu20.04的方案)

0、停止饥荒服务;

1、进入DstServer/mods目录,删除所有已经下载的mod文件夹(workshop-xxxx);

2、删除mod配置文件dedicated_server_mods_setup.lua;

3、拷贝之前配置好的dedicated_server_mods_setup.lua到服务器; 4、启动饥荒服务;

尾巴

我刚开始删除workshop-xxxxxxx后直接重启,发现仍然没能解决问题,最后发现我的配置文件dedicated_server_mods_setup.lua大小变成了1KB,而我本地备份的文件有4KB,觉得很奇怪,打开一看,配置文件已经变成了空文件;遂把本地文件上传到服务器后再次启动,就解决了问题。  

0

评论区